/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.ws.parsed;

import java.util.List;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@XmlRootElement(name = "loan")
public class LoanJaxb {

    private List<LoanDetailJaxb> loanDetails;

    public LoanJaxb() {
    }

    public LoanJaxb(List<LoanDetailJaxb> loanDetails) {
        this.loanDetails = loanDetails;
    }

    @XmlElement(name = "loanDetails")
    public List<LoanDetailJaxb> getLoanDetails() {
        return loanDetails;
    }

    public void setLoanDetails(List<LoanDetailJaxb> loanDetails) {
        this.loanDetails = loanDetails;
    }

    @Override
    public String toString() {
        return "LoanJaxb{" + "loanDetails=" + loanDetails + '}';
    }
}
